"use strict";

/**
 * Returns bitwise AND of all parameters.
 * Given only booleans, the result is a logical AND.
 * Parameters can be as many as you wish.
 * Parameters can be simple integers, booleans or array
 * of such types. They can even be a mix of those.
 * NOTE: Nested arrays are not supported.
 */
function and() {
  for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  var isAllBoolean = args.reduce(function (isAllBoolean, val) {
    return isAllBoolean && (Array.isArray(val) ? val.reduce(function (isAllBoolean, val) {
      return isAllBoolean && typeof val === "boolean";
    }, true) : typeof val === "boolean");
  }, true);

  return isAllBoolean ? args.reduce(function (andProduct, val) {
    return andProduct && (Array.isArray(val) ? val.reduce(function (andProduct, val) {
      return andProduct && val;
    }, true) : val);
  }, true) : args.reduce(function (andProduct, val) {
    return andProduct & (Array.isArray(val) ? val.reduce(function (andProduct, val) {
      return andProduct & val;
    }, ~0) : val);
  }, ~0);
}

module.exports = and;