"use strict";

/**
 * returns new array replaced with new value from start to end position.
 *
 * @param {Array} arr the array as input.
 * @param {any} value the value that you would like to replace in the array
 * @param {Number} start the start position will be replaced with value
 * @param {Number} end the end position will be replaced with value
 * @return {Array} the new array as replace value.
 *
 */

function arrayFill() {
  var arr = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  var value = arguments[1];
  var start = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
  var end = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : arr.length;

  var newArr = arr.map(function (defaultValue, idx) {
    return idx >= start && idx < end ? value : defaultValue;
  });
  return newArr;
}

module.exports = arrayFill;