"use strict";

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

/**
 * Returns a new, reflected Array from a given Array.
 *
 * [1, 2, "bar"]
 * >> [1, 2, "bar", "bar", 2, 1]
 *
 * @param {Array} arr
 * @returns {Array} 
 */

function arrayReflect(arr) {
  if (Array.isArray(arr)) return [].concat(_toConsumableArray(arr), _toConsumableArray(arr.reverse()));

  throw "Parameter must be of type Array";
}

module.exports = arrayReflect;