"use strict";

/**
* return the variance of an number array
* @param {Array} arr the array as input
* @return {Number} return the variance as a number
*/
function arrayVariance(arr) {
  if (!Array.isArray(arr) || arr.length && typeof arr[0] != "number") throw new Error("invalid input");

  var mean = arr.reduce(function (sum, value) {
    return sum + value;
  }, 0) / arr.length;
  var summation = arr.reduce(function (sum, value) {
    return sum + Math.pow(value - mean, 2);
  }, 0);

  return summation / arr.length;
}

module.exports = arrayVariance;