"use strict";

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

/**
 * Constructs the result array based on the rules for the
 * cartesian product.
 * Examople:
 * [1, 2] x [3, 4] = [[1, 3], [1, 4], [2, 3], [2, 4]]
 *
 * Methos should throw an error if parameters are not arrays.
 */
function cartesian() {
  for (var _len = arguments.length, arr = Array(_len), _key = 0; _key < _len; _key++) {
    arr[_key] = arguments[_key];
  }

  if (arr.some(function (el) {
    return !Array.isArray(el);
  })) {
    throw new Error("Parameters must be arrays!");
  }

  if (arr.length === 1) {
    return arr[0].map(function (el) {
      return [el];
    });
  }

  var arr1 = arr[0],
      arr2 = arr[1],
      rest = arr.slice(2);


  var res = [];
  arr[0].forEach(function (a) {
    return arr[1].forEach(function (b) {
      return Array.isArray(a) ? res.push([].concat(_toConsumableArray(a), [b])) : res.push([a, b]);
    });
  });

  return rest.length > 0 ? cartesian.apply(undefined, [res].concat(_toConsumableArray(rest))) : res;
}

module.exports = cartesian;