"use strict";

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

/**
 * Returns an array of possible combinations of subsets of an array.
 * @param {Array} array from which items will be picked for all combinations of size n
 * @param {Number} n Number of items that will be picked from the array to form a combination
 */

function combinations(array, n) {
  if (!Array.isArray(array)) throw new Error("First argument must be an array.");
  var castedNumber = +n;
  if (Number.isNaN(castedNumber) || castedNumber < 0) throw new Error("Second argument must be a positive number");
  if (array.length === 0 || n === 0) return [];

  if (n === 1) return array.map(function (i) {
    return [i];
  });

  var resultingCombinations = [];

  var _loop = function _loop(index, item) {
    var rest = array.slice(index + 1, array.length);
    combinations(rest, n - 1).map(function (combination) {
      return resultingCombinations.push([item].concat(_toConsumableArray(combination)));
    });
  };

  var _iteratorNormalCompletion = true;
  var _didIteratorError = false;
  var _iteratorError = undefined;

  try {
    for (var _iterator = array.entries()[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
      var _ref = _step.value;

      var _ref2 = _slicedToArray(_ref, 2);

      var index = _ref2[0];
      var item = _ref2[1];

      _loop(index, item);
    }
  } catch (err) {
    _didIteratorError = true;
    _iteratorError = err;
  } finally {
    try {
      if (!_iteratorNormalCompletion && _iterator.return) {
        _iterator.return();
      }
    } finally {
      if (_didIteratorError) {
        throw _iteratorError;
      }
    }
  }

  return resultingCombinations;
}

module.exports = combinations;