"use strict";

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

/**
 * Concatenates all arrays into one array.
 *
 * @param {Array} arr
 * @param {...Array} rest
 * @returns {Array}
 */

function concatenateArray(arr) {
  for (var _len = arguments.length, rest = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    rest[_key - 1] = arguments[_key];
  }

  rest.forEach(function (r) {
    arr.push.apply(arr, _toConsumableArray(r));
  });
  return arr;
}

module.exports = concatenateArray;