"use strict";

var _templateObject = _taggedTemplateLiteral([" "], [" "]),
    _templateObject2 = _taggedTemplateLiteral([""], [""]);

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

/**
 * Convert any given binary to string
 * @param {binary} binary Binary value as string
 * @return returned string
 */

function convertBinaryToString(binary) {
  if (typeof binary !== "string") return;

  var trimmedBinary = binary.replace(/\s+/g, "").match(/\d{1,8}/g).join(_templateObject);
  var splitBinary = trimmedBinary.split(_templateObject);

  return splitBinary.map(function (b) {
    return String.fromCharCode(parseInt(b, 2));
  }).join(_templateObject2);
}

module.exports = convertBinaryToString;