"use strict";

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _require = require("."),
    roundTo = _require.roundTo,
    convertRadiansToDegrees = _require.convertRadiansToDegrees;

var roundTo4 = function roundTo4(x) {
  return roundTo(x, 4);
};

/**
 * Convert Cartesian (x,y,z) to Spherical (r,θ,φ) coordinates in 3-dimensions
 * @param {array} [x,y,z] Cartesian system of coordinates
 * @return {array} [r,θ,φ] Spherical system of coordinates
 */

function convertCartesianToSpherical(_ref) {
  var _ref2 = _slicedToArray(_ref, 3),
      x = _ref2[0],
      y = _ref2[1],
      z = _ref2[2];

  var r = Math.sqrt(Math.pow(x, 2) + Math.pow(y, 2) + Math.pow(z, 2));
  var theta = convertRadiansToDegrees(Math.atan(y / x));
  var phi = convertRadiansToDegrees(Math.acos(z / r));
  return [r, theta, phi].map(roundTo4);
}

module.exports = convertCartesianToSpherical;