"use strict";

/**
 * Returns the geometric mean of an Array of Numbers
 * https://www.mathsisfun.com/numbers/geometric-mean.html
 *
 * @param {Number[]} numArr
 * @returns {Number}
 */

var isNotNegative = require("./isNotNegative");

function geometricMean(numArr) {
  if (Array.isArray(numArr)) {
    if (numArr.every(isNotNegative)) {
      var numArrLen = numArr.length;
      var total = 1;

      numArr.forEach(function (num) {
        total *= num;
      });

      return Math.pow(total, 1 / numArrLen);
    }

    throw "numArr must be comprised of non-negative Numbers";
  }

  throw "numArr must be of type Array";
}

module.exports = geometricMean;