"use strict";

var valueAtIndexIsFirst = function valueAtIndexIsFirst(array, value, index) {
  return array.indexOf(value) === index;
};
var valueAtIndexOccursAgain = function valueAtIndexOccursAgain(array, value, index) {
  return array.lastIndexOf(value) !== index;
};
var isNewDuplicate = function isNewDuplicate(array) {
  return function (value, index) {
    return valueAtIndexIsFirst(array, value, index) && valueAtIndexOccursAgain(array, value, index);
  };
};

/**
 * Takes an array and returns a new array containing any elements that have duplicates.
 * eg. [1,2,2,3,4,4,5]
 * returns [2,4]
 * @param  {Array} arr array to evaluate
 * @return {Array} the array containing duplicates
 */
var getDuplicates = function getDuplicates(arr) {
  return !Array.isArray(arr) ? arr : arr.filter(isNewDuplicate(arr));
};

module.exports = getDuplicates;