"use strict";

/**
 * Returns the truth value of the conditional (material conditional).
 * AKA formal implication
 * https://en.wikipedia.org/wiki/Material_conditional
 * antecendent → consequent
 *
 * @param {*} antecendent
 * @param {*} consequent
 * @return {Boolean}
 *
 */

function getMaterialConditional() {
  var antecendent = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
  var consequent = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

  var ante = !!antecendent;
  var cons = !!consequent;

  if (ante === false) return true;

  return ante && cons;
}

module.exports = getMaterialConditional;