"use strict";

/**
 * Takes two arrays and returns a new array containing unique elements that occur in both arrays
 * eg. [1,2,2,3,4,4,5] and [1,4,4,6]
 * returns [1,4]
 * @param  {Array} arr1 array to evaluate
 * @param  {Array} arr2 array to evaluate
 * @return {Array} the array with unique elements occuring in both arrays
 */

var intersection = function intersection(arr1, arr2) {
  if (!(Array.isArray(arr1) && Array.isArray(arr2))) {
    return [];
  }

  var set2 = new Set(arr2);

  return arr1.filter(function (value) {
    return set2.has(value);
  }).filter(function (value, index, self) {
    return self.indexOf(value) === index;
  });
};

module.exports = intersection;