"use strict";

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/**
 * Takes an object and inverts keys and values.
 * eg. {one: "1", two: "2", three: "3"}
 * returns {"1": "one", "2": "two", "3": "three"}
 * @param  {Object} obj object to invert
 * @return {Object}     inverted object
 */
function invert(obj) {
  if ((typeof obj === "undefined" ? "undefined" : _typeof(obj)) !== "object") {
    return obj;
  }

  var inverted = {};

  for (var prop in obj) {
    var val = obj["" + prop];

    inverted[val] = prop;
  }

  return inverted;
}

module.exports = invert;