"use strict";

/**
 * This function will only accept strings
 * It should return true if all the letters
 * in the string are unique (ignoring whitespaces)
 * "subdermatoglyphic" -> true
 * "apple" -> false (because p is repeated)
 * @param {String} str
 * @returns {Boolean}
 */
function isHeterogram() {
  var str = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : "";

  if (typeof str !== "string" || !str.length) {
    return undefined;
  }

  var cache = [];
  var strArr = str.split("");

  return strArr.every(function (el) {
    if (el.match(/\s/)) {
      return true;
    }
    if (cache.includes(el)) {
      return false;
    }
    cache.push(el);
    return true;
  });
}

module.exports = isHeterogram;