"use strict";

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/**
 * `merge` combines multiple objects into a single one with all the keys
 * of each object. When two objects have the same key, the value from
 * the second object is used.
 *
 * @param {Objects} One or more objects.
 * @returns {Object} The combined object.
 */
function merge() {
  for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  return args.reduce(function (accumulator, item) {
    var source = (typeof item === "undefined" ? "undefined" : _typeof(item)) === "object" ? item : {};
    accumulator = Object.assign({}, accumulator, source);
    return accumulator;
  }, null);
}

module.exports = merge;