"use strict";

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

/**
 * Returns the most used character from a string
 * @param {string} str
 * @return {Array}
 */

function mostFrequentChars(str) {
  if (typeof str !== "string") {
    throw TypeError("Invalid Type");
  }
  var frequentChars = [].concat(_toConsumableArray(str)).reduce(function (_ref, value) {
    var _extends2;

    var biggestSum = _ref.biggestSum,
        obj = _objectWithoutProperties(_ref, ["biggestSum"]);

    return _extends({}, obj, (_extends2 = {}, _defineProperty(_extends2, value, (obj[value] || 0) + 1), _defineProperty(_extends2, "biggestSum", Math.max((obj[value] || 0) + 1, biggestSum)), _extends2));
  }, { biggestSum: -Infinity });
  return Object.keys(frequentChars).filter(function (key) {
    return frequentChars[key] === frequentChars.biggestSum && key !== "biggestSum";
  });
}

module.exports = mostFrequentChars;