"use strict";

/**
 * Converts Object into key-value Map.
 * { key: value, foo: bar }
 * >> [[key, value], [foo, bar]]
 *
 * @param {Object} obj
 * @returns {Map}
 */

var isObjectLiteral = function isObjectLiteral(obj) {
  return {}.toString.call(obj) == "[object Object]";
};

function objectToMap() {
  var obj = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  if (isObjectLiteral(obj)) {
    var map = new Map();

    Object.keys(obj).forEach(function (key) {
      map.set(key, obj[key]);
    });

    return map;
  }

  throw "obj must be type Object";
}

module.exports = objectToMap;