"use strict";

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * Given the object and an array of props should return
 * new object built from original one without this props
 * @param obj: Object to be manipulated
 * @param paths: Array of property paths to be omitted
 * @return object
 */
function omit(obj, paths) {
  return Object.keys(obj).filter(function (key) {
    return paths.indexOf(key) === -1;
  }).reduce(function (o, key) {
    return _extends({}, o, _defineProperty({}, key, obj[key]));
  }, {});
}

module.exports = omit;