"use strict";

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

/**
* @description Populates an array of all prime numbers <= n.
* @param {number} n
* @returns {array} primeNumbers <= n
**/

function primeNumbersUpTo(n) {
  if (!Number.isInteger(n)) {
    throw new Error("Invalid type");
  } else if (n < 2) {
    throw new Error("Invalid value");
  } else {
    var primeNumbers = [].concat(_toConsumableArray(new Array(n + 1).keys())).slice(2);
    for (var i = 2; i < Math.ceil(Math.sqrt(n)); i++) {
      primeNumbers = primeNumbers.filter(function (v) {
        return v % i !== 0 || v === i;
      });
    }
    return primeNumbers;
  }
}

module.exports = primeNumbersUpTo;