"use strict";

/**
 * Removes all given values from array using SameValueZero for equality comparisons.
 * @param array: The array to modify
 * @param values: The values to remove
 */

var flattenArray = require("./flattenArray.js");
var isArray = require("./isArray.js");

function pull(array) {
  for (var _len = arguments.length, values = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    values[_key - 1] = arguments[_key];
  }

  if (!isArray(array)) {
    throw new Error("Provided value must be an array");
  }
  return array.filter(function (e) {
    return flattenArray(values).indexOf(e) < 0;
  });
}

module.exports = pull;