"use strict";

/**
 * A function that returns the sum of its parameters
 * Parameters can be as many as you wish.
 * Parameters can be simple numeric types, castable to numeric types or array
 * of such types. They can even be a mix of those.
 * NOTE: Nested arrays are not supported.
 */

function sum() {
  for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  return args.reduce(function (sum, val) {
    return sum + (Array.isArray(val) ? val.reduce(function (sum, val) {
      return sum + val;
    }, 0) : val);
  }, 0);
}

module.exports = sum;