"use strict";

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

/**
 * `union` combines multiple arrays into a single one with the unique
 * values from each.
 *
 * @param {Arrays} One or more arrays.
 * @returns {Array} The resulting array of unique values.
 */
function union() {

  var args = Array.from(arguments);
  var outputSet = new Set();
  var tempSet;

  args.forEach(function (elem) {
    if (Array.isArray(elem)) {
      tempSet = new Set(elem);
      outputSet = new Set([].concat(_toConsumableArray(outputSet), _toConsumableArray(tempSet)));
    }
  });
  return Array.from(outputSet);
}

module.exports = union;