"use strict";

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

/**
 * Creates a duplicate-free version of an array using a shallow comparison
 * @param array: Contains the items that will be checked for uniqueness
 * @return: An array containing unique elements
 */
function uniq(array) {
  if (Array.isArray(array)) {
    return [].concat(_toConsumableArray(new Set(array)));
  }

  throw "array is not an Array";
}

module.exports = uniq;