"use strict";

/**
 * A function that does a bitwise XOR of its parameters.
 * Given only booleans, the result is a logical XOR cast to a number.
 * Parameters can be as many as you wish.
 * Parameters can be simple numeric types, castable to numeric types or array
 * of such types. They can even be a mix of those.
 * NOTE: Nested arrays are not supported.
 */

function xor() {
  for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  return args.reduce(function (xorSum, val) {
    return xorSum ^ (Array.isArray(val) ? val.reduce(function (xorSum, val) {
      return xorSum ^ val;
    }, 0) : val);
  }, 0);
}

module.exports = xor;